#
# spec file for package python3-setuptools-git
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mod_name setuptools-git

Name:           python3-setuptools-git
Version:        1.1
Release:        6.1
Summary:        Setuptools revision control system plugin for Git
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/wichert/setuptools-git
Source:         http://pypi.python.org/packages/source/s/setuptools-git/setuptools-git-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
This is a plugin for setuptools that enables git integration. Once
installed, Setuptools can be told to include in a package distribution
all the files tracked by git. This is an alternative to explicit
inclusion specifications with MANIFEST.in.

This package was formerly known as gitlsfiles. The name change is the
result of an effort by the setuptools plugin developers to provide a
uniform naming convention.

%prep
%setup -q -n setuptools-git-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Sun Jan  4 2015 p.drouand@gmail.com
- Get rid of old stuff when python3 packages were links to py2
  packages
  + Remove custom macros
  + Remove pre_checkin.sh
- Do not build require entire python3 package
- Remove direct dependency on python3; let RPM handles it
- Use python3-setuptools instead of distribute
* Wed Dec  3 2014 arun@gmx.de
- specfile: updated copyright year
- update to version 1.1:
  * Using README.txt as the long description.
  * Added github as url in the metadata.
  * Restructured text syntax fixes
  * Renamed README from .txt to .rst
  * Restructured text syntax fixes
  * pos in setup.py
  * fix ImportError on Python 2.4
  * Improve Python 2.4 compatibility
  * also catch OSErrors
* Fri Apr 12 2013 toddrme2178@gmail.com
- Added requires and buildrequires python3.  It will not work
  properly without them on openSUSE < 12.3
- Cleanup some macros
* Mon Jan 21 2013 p.drouand@gmail.com
- Initial python3 support
* Mon Jan 14 2013 alexandre@exatati.com.br
- Update to 1.0b1:
  - Sorry, no changelog.
* Mon Nov 19 2012 cfarrell@suse.com
- license update: SUSE-Public-Domain
  SPDX format (or SUSE version thereof)
* Tue May  3 2011 alexandre@exatati.com.br
- Update to 0.4.2:
  - Sorry, no changelog.
- Package renamed from python-setuptools_git to
  python-setuptools-git.
* Thu Aug 13 2009 alexandre@exatati.com.br
- Initial package (0.3) for openSUSE.
